Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxcapture.painters
Class ObjectOnScreenPainter

    java.lang.Object
      teamdev.jxcapture.painters.ObjectOnScreenPainter

All Implemented Interfaces:
  SelectionPainter

public class ObjectOnScreenPainter
extends java.lang.Object
implements SelectionPainter

Represents the painter for the "capture object on screen" operation.

Constructor Summary
`ObjectOnScreenPainter()`

Method Summary
`void` | `acceptPoint(java.awt.Point point)` Invoked when the specified point is accepted.
`java.awt.image.BufferedImage` | `getSelectedArea()` Returns the resulting image of the drawing capture operation.
`void` | `paint(java.awt.Graphics graphics)` Invoked when the user is painting on the drawable component.
`void` | `selectionEnd()` Invoked when a selection operation is stopped.
`void` | `selectionStart()` Invoked when a selection operation is started.
`void` | `setBackgroundImage(java.awt.image.BufferedImage image)` Sets the specified background image.
`void` | `setCurrentPosition(java.awt.Point point)` Sets the current position of the mouse pointer.
`void` | `setRectangles(java.util.List rectangles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectOnScreenPainter

    public ObjectOnScreenPainter()

Method Detail

### paint

    public void paint(java.awt.Graphics graphics)

  Description copied from interface: `SelectionPainter`
  Invoked when the user is painting on the drawable component.

  Specified by:
    `paint` in interface `SelectionPainter`

### getSelectedArea

    public java.awt.image.BufferedImage getSelectedArea()

  Description copied from interface: `SelectionPainter`
  Returns the resulting image of the drawing capture operation.

  Specified by:
    `getSelectedArea` in interface `SelectionPainter`

### selectionStart

    public void selectionStart()

  Description copied from interface: `SelectionPainter`
  Invoked when a selection operation is started.

  Specified by:
    `selectionStart` in interface `SelectionPainter`

### selectionEnd

    public void selectionEnd()

  Description copied from interface: `SelectionPainter`
  Invoked when a selection operation is stopped.

  Specified by:
    `selectionEnd` in interface `SelectionPainter`

### setCurrentPosition

    public void setCurrentPosition(java.awt.Point point)

  Description copied from interface: `SelectionPainter`
  Sets the current position of the mouse pointer.

  Specified by:
    `setCurrentPosition` in interface `SelectionPainter`
  Parameters:
    `point` - the specified position of the mouse pointer

### acceptPoint

    public void acceptPoint(java.awt.Point point)

  Description copied from interface: `SelectionPainter`
  Invoked when the specified point is accepted.

  Specified by:
    `acceptPoint` in interface `SelectionPainter`

### setBackgroundImage

    public void setBackgroundImage(java.awt.image.BufferedImage image)

  Description copied from interface: `SelectionPainter`
  Sets the specified background image.

  Specified by:
    `setBackgroundImage` in interface `SelectionPainter`

### setRectangles

    public void setRectangles(java.util.List rectangles)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD